Bug 1777579 (CVE-2020-1721) - CVE-2020-1721 pki-core: KRA vulnerable to reflected XSS via the getPk12 page
Summary: CVE-2020-1721 pki-core: KRA vulnerable to reflected XSS via the getPk12 page
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-1721
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1798010 1798011 1798012 1926322 1926324
Blocks: 1777580 1936790
TreeView+ depends on / blocked
 
Reported: 2019-11-27 21:16 UTC by Pedro Sampaio
Modified: 2021-04-26 14:06 UTC (History)
12 users (show)

Fixed In Version: pki-core 10.10.5
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Key Recovery Authority (KRA) Agent Service where it did not properly sanitize the recovery ID during a key recovery request, enabling a Reflected Cross-Site Scripting (XSS) vulnerability. An attacker could trick an authenticated victim into executing specially crafted Javascript code.
Clone Of:
Environment:
Last Closed: 2020-11-04 02:23:34 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4847 0 None None None 2020-11-04 03:14:53 UTC
Red Hat Product Errata RHSA-2021:0819 0 None None None 2021-03-15 13:26:10 UTC
Red Hat Product Errata RHSA-2021:0851 0 None None None 2021-03-16 13:48:16 UTC
Red Hat Product Errata RHSA-2021:0975 0 None None None 2021-03-23 16:46:56 UTC

Description Pedro Sampaio 2019-11-27 21:16:47 UTC
A flaw was found in the pki-kra package. A cross-site scripting issue in the key recover feature of the pki agent can be used to execute Javascript on the key recovery page.

Comment 1 Cedric Buissart 2020-01-20 16:07:58 UTC
Acknowledgments:

Name: Pritam Singh (Red Hat)

Comment 4 Cedric Buissart 2020-02-04 12:02:30 UTC
Statement:

This vulnerability is rated Low : the web UI uses client TLS authentication, therefore stealing session cookies will not be sufficient for unauthorized access. The vulnerable page itself does not contain secrets.

Comment 6 Salvatore Bonaccorso 2020-02-07 06:30:35 UTC
Do you know if this was reported in the upstream issue tracker and there is a fix?

Comment 7 Pedro Sampaio 2020-02-14 19:31:07 UTC
(In reply to Salvatore Bonaccorso from comment #6)
> Do you know if this was reported in the upstream issue tracker and there is
> a fix?

Hi Cedric, can you help with this?

Comment 8 Alex Scheel 2020-02-14 19:46:53 UTC
Pedro, Salvatore,

Upstream Dogtag developer here. There is currently no upstream tracker. When one is created, I'll post it here.


Thanks,

Alex

Comment 12 Nicholas Luedtke 2020-06-11 18:55:54 UTC
Any update on this one? I haven't seen it upstream or NVD.

Comment 13 Cedric Buissart 2020-06-15 19:28:27 UTC
(In reply to Nicholas Luedtke from comment #12)
> Any update on this one? I haven't seen it upstream or NVD.
The upstream fix has been pushed : https://github.com/dogtagpki/pki/commit/b3514113c867c9394dd84e313c55dc66f3e846b6

Comment 14 Product Security DevOps Team 2020-11-04 02:23:34 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-1721

Comment 15 errata-xmlrpc 2020-11-04 03:14:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4847 https://access.redhat.com/errata/RHSA-2020:4847

Comment 16 errata-xmlrpc 2021-03-15 13:26:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.6 Extended Update Support

Via RHSA-2021:0819 https://access.redhat.com/errata/RHSA-2021:0819

Comment 17 errata-xmlrpc 2021-03-16 13:48:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:0851 https://access.redhat.com/errata/RHSA-2021:0851

Comment 18 errata-xmlrpc 2021-03-23 16:46:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.7 Extended Update Support

Via RHSA-2021:0975 https://access.redhat.com/errata/RHSA-2021:0975


Note You need to log in before you can comment on or make changes to this bug.